org.eclipse.incquery.viewmodel.traceability

## Interface TraceabilityPackage.Literals

- Enclosing interface:
    TraceabilityPackage

      public static interface TraceabilityPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `TRACE` The meta object literal for the '`Trace`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `TRACE__ID` The meta object literal for the 'Id' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `TRACE__OBJECTS` The meta object literal for the 'Objects' attribute list feature.
    `static org.eclipse.emf.ecore.EReference` | `TRACE__PARAMS` The meta object literal for the 'Params' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `TRACE__TARGETS` The meta object literal for the 'Targets' reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `TRACEABILITY` The meta object literal for the '`Traceability`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `TRACEABILITY__ID` The meta object literal for the 'Id' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `TRACEABILITY__TRACES` The meta object literal for the 'Traces' containment reference list feature.

- - ### Field Detail

    - #### TRACEABILITY

          static final org.eclipse.emf.ecore.EClass TRACEABILITY

      The meta object literal for the '`Traceability`' class.
      See Also:
        `TraceabilityImpl`, `TraceabilityPackageImpl.getTraceability()`

    - #### TRACEABILITY__TRACES

          static final org.eclipse.emf.ecore.EReference TRACEABILITY__TRACES

      The meta object literal for the 'Traces' containment reference list feature.

    - #### TRACEABILITY__ID

          static final org.eclipse.emf.ecore.EAttribute TRACEABILITY__ID

      The meta object literal for the 'Id' attribute feature.

    - #### TRACE

          static final org.eclipse.emf.ecore.EClass TRACE

      The meta object literal for the '`Trace`' class.
      See Also:
        `TraceImpl`, `TraceabilityPackageImpl.getTrace()`

    - #### TRACE__TARGETS

          static final org.eclipse.emf.ecore.EReference TRACE__TARGETS

      The meta object literal for the 'Targets' reference list feature.

    - #### TRACE__ID

          static final org.eclipse.emf.ecore.EAttribute TRACE__ID

      The meta object literal for the 'Id' attribute feature.

    - #### TRACE__PARAMS

          static final org.eclipse.emf.ecore.EReference TRACE__PARAMS

      The meta object literal for the 'Params' reference list feature.

    - #### TRACE__OBJECTS

          static final org.eclipse.emf.ecore.EAttribute TRACE__OBJECTS

      The meta object literal for the 'Objects' attribute list feature.